Get logbook statistics
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook/statistics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driver": {
"mobilityProviderCountryCode": "AT",
"mobilityProviderCode": "ABC",
"customerId": "828c2d1c-d933-4138-9577-02c292b6d869"
},
"timeframe": {
"fromDatetime": "2025-10-07T10:24:41.143Z",
"toDatetime": "2025-10-07T10:24:41.143Z"
}
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook/statistics"
payload = {
"driver": {
"mobilityProviderCountryCode": "AT",
"mobilityProviderCode": "ABC",
"customerId": "828c2d1c-d933-4138-9577-02c292b6d869"
},
"timeframe": {
"fromDatetime": "2025-10-07T10:24:41.143Z",
"toDatetime": "2025-10-07T10:24:41.143Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
driver: {
mobilityProviderCountryCode: 'AT',
mobilityProviderCode: 'ABC',
customerId: '828c2d1c-d933-4138-9577-02c292b6d869'
},
timeframe: {
fromDatetime: '2025-10-07T10:24:41.143Z',
toDatetime: '2025-10-07T10:24:41.143Z'
}
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalDistance": 123,
"hoursDriven": 123
}Logbook
Get logbook statistics
Get the statistics of all of the trips a user has taken according to the logbook
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
logbook
/
statistics
Get logbook statistics
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider the vehicles belong to
Required string length:
2The three-character code of the asset provider the vehicles belong to
Required string length:
3The id of the vehicle
Body
application/json
The request body contains the user, time frame and potentially the trip type as well for which the statistics should be calculated
⌘I

